Package org.codehaus.groovy.control

# Class Phases

java.lang.Object
org.codehaus.groovy.control.Phases

public class Phases extends Object
Compilation phase identifiers.

Author:
  Chris Poirier

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALL`
`static final int`
`CANONICALIZATION`
`static final int`
`CLASS_GENERATION`
`static final int`
`CONVERSION`
`static final String[]`
`descriptions`
`static final int`
`FINALIZATION`
`static final int`
`INITIALIZATION`
`static final int`
`INSTRUCTION_SELECTION`
`static final int`
`OUTPUT`
`static final int`
`PARSING`
`static final int`
`SEMANTIC_ANALYSIS`

## Constructor Summary

Constructors
Constructor
Description
`Phases()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getDescription(int phase)`
Returns a description of the specified phase.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INITIALIZATION

public static final int INITIALIZATION

See Also:
  - Constant Field Values

### PARSING

public static final int PARSING

See Also:
  - Constant Field Values

### CONVERSION

public static final int CONVERSION

See Also:
  - Constant Field Values

### SEMANTIC_ANALYSIS

public static final int SEMANTIC_ANALYSIS

See Also:
  - Constant Field Values

### CANONICALIZATION

public static final int CANONICALIZATION

See Also:
  - Constant Field Values

### INSTRUCTION_SELECTION

public static final int INSTRUCTION_SELECTION

See Also:
  - Constant Field Values

### CLASS_GENERATION

public static final int CLASS_GENERATION

See Also:
  - Constant Field Values

### OUTPUT

public static final int OUTPUT

See Also:
  - Constant Field Values

### FINALIZATION

public static final int FINALIZATION

See Also:
  - Constant Field Values

### ALL

public static final int ALL

See Also:
  - Constant Field Values

### descriptions

public static final String[] descriptions

## Constructor Details

### Phases

public Phases()

## Method Details

### getDescription

public static String getDescription(int phase)
Returns a description of the specified phase.